#include "config.h"
void initCurrentNote(void);
DWORD keyonoff2(UBYTE *MTrk,UBYTE *tie,UBYTE *harm,UWORD step,UWORD gate,
		DWORD *gate_old,WORD velo,DWORD trk,DWORD delay,
		UBYTE *L0,BYTE KEYOFF,MODDAT M,PORTDAT port,WORD *bend,
		WORD *port_now,WORD *special_tie,
		WORD *extMOD_now,ARCCDAT A,EIGHTH E,BYTE *AB,UBYTE sw,BYTE TIEMODE,
		WORD vol,FADEDAT *F,BYTE ABspc,
		UBYTE ID[4],BYTE runstatus);
DWORD keyoff(UBYTE *MTrk,UBYTE *harm_old,UBYTE *harm_old2,DWORD gate_old,DWORD trk);
void bend_old_chg(WORD newbend);
void arcc_old_chg(BYTE newarcc,UBYTE tie);
void mod_old_chg(UBYTE tie);
void R_w_chg(BYTE r);
#ifdef AAA
int bendreset(unsigned char *MTrk,int *bend,int portsign,int *port_now,
		int *special_tie,int *extMOD_now,int *gate_old,int trk);
void mod_reset(unsigned char tie);
#endif